
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

module ItemsFilter
  extend ActiveSupport::Concern

  def filter_items(items)
    # filter by type
    if !params[:item_type].blank?
      items = items.where(item_type: params[:item_type])
    end

    # filter by price
    if params[:op] == "lt" # less than
      items = items.where("price < ?", params[:price])
    elsif params[:op] == "gt" # greater than
      items = items.where("price > ?", params[:price])
    elsif params[:op] == "eq" # equals
      items = items.where(price: params[:price])
    end

    # filter by the way it's unlocked
    if params[:unlock_rule] == "achievement"
      items = items.where.not(achievement_id: nil)
    elsif params[:unlock_rule] == "purchase"
      items = items.where(achievement_id: nil)
    end

    items
  end

end
