# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: progresses

# t.belongs_to  :user
# t.belongs_to  :achievement
# t.belongs_to  :progress_type
# t.integer     :counter, default: 0
# t.datetime "created_at",    null: false
# t.datetime "updated_at",    null: false

class Progress < ApplicationRecord
  belongs_to :requirement
  belongs_to :user

  validates_presence_of :user, :requirement
  scope :user_progresses, -> (id) { where(user_id: id) }
end
