class CreateUserItems < ActiveRecord::Migration[6.0]
  def change
    create_table :user_items do |t|
      t.references :item, foreign_key: true
      t.references :user, foreign_key: true
      t.boolean :being_used, default: false

      t.timestamps
    end
    add_index :user_items, [:user_id, :item_id], unique: true, name: 'user_item_index'
  end
end
