
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

def actions
  main_actions = [
    {name: "Publicar", description: "Publicar um recurso na plataforma", reward_experience: 50},
    {name: "Favoritar", description: "Favoritar um recurso na plataforma", reward_experience: 1},
    {name: "Avaliar", description: "Avaliar um recurso na plataforma", reward_experience: 5},
    {name: "Comentar", description: "Comentar um recurso na plataforma", reward_experience: 5},
    {name: "Seguir Usuário", description: "Seguir um usuário na plataforma", reward_experience: 2},
    {name: "Ser Seguido", description: "Ser seguido por um usuário na plataforma", reward_experience: 10},
    {name: "Fazer Download de um Recurso", description: "Fazer download de um recurso na plataforma", reward_experience: 2},

    # {name: "Curadoria de Recurso", description: "Realizar a curadoria de um recurso na plataforma", reward_experience: 5},

    {name: "Fazer Login", description: "Fazer login na plataforma em um dia", reward_experience: 0},
    {name: "Meses de Conta", description: "Ter a conta por um mês na plataforma", reward_experience: 0},
    {name: "Visualizar um Recurso", description: "Visualizar um recurso na plataforma", reward_experience: 0},
    {name: "Visualizar uma Coleção", description: "Visualizar uma coleção na plataforma", reward_experience: 0},
    {name: "Criar Coleção", description: "Criar uma coleção na plataforma", reward_experience: 0},
    {name: "Adicionar Recurso a Coleção", description: "Adicionar um recurso a uma coleção na plataforma", reward_experience: 0},
    {name: "Adicionar Foto de Perfil", description: "Adicionar uma foto de perfil na sua conta na plataforma", reward_experience: 0},
    {name: "Adicionar Capa de Perfil", description: "Adicionar uma capa de perfil na sua conta na plataforma", reward_experience: 0},
    {name: "Adicionar Descrição do Usuário", description: "Adicionar uma descrição na sua conta na plataforma", reward_experience: 0},
    {name: "Autenticação de Professor", description: "Ser autenticado como professor na plataforma", reward_experience: 0},

    {name: "Assistir Apresentação", description: "Assistir ao vídeo de apresentação na plataforma", reward_experience: 0},
    {name: "Visualizar um Material", description: "Visualizar um material de formação na plataforma", reward_experience: 0},
    {name: "Compartilhar", description: "Compartilhar um recurso na plataforma", reward_experience: 0}
  ]

  subject_actions = []
  Subject.all.each do |subject|
    subject_actions << {name: "Visualizar um Recurso de #{subject.name}", description: "Visualizar um recurso da área de #{subject.name} na plataforma", reward_experience: 0}
  end
  main_actions + subject_actions
end

actions.each do |action|
  Action.where(action).first_or_create
end
