
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

def item_data(achievement)
  { name: achievement.name, price: 0, discount: 0, description: "Prêmio por desbloquear a conquista #{achievement.name}", state: 1, item_type: 1, achievement_id: achievement.id}
end

Achievement.all.each do |achievement|
  file_path = Rails.root.join('db','seeds','assets','images','items', achievement.name.parameterize.underscore + '.png')
  if File.file?(file_path)
    item = Item.where(item_data(achievement)).first_or_create
    if item.image.blank?
      item.image = File.open(file_path)
      item.save
    end
  end
end
