
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# objects
Score.create(name: 'Média das avaliações', code: 'normalized_review_average', weight: 10, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Thumbnail', code: 'normalized_thumbnail', weight: 3, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Quantidade de visualizações', code: 'normalized_views', weight: 3, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Quantidade de likes', code: 'normalized_likes', weight: 7, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Quantidade de downloads', code: 'normalized_downloads', weight: 3, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Quantidade de compartilhamento', code: 'normalized_shares', weight: 2, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Descrição', code: 'normalized_description', weight: 2, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Categoria do usuário criador', code: 'user_category', weight: 7, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Adições à coleções', code: 'normalized_collected', weight: 4, active: true, score_type: ['LearningObject', 'Collection'])
Score.create(name: 'Adições à favoritos', code: 'normalized_bookmarked', weight: 6, active: true, score_type: ['LearningObject', 'Collection'])

# ==============================================================================

# reputation categories
categories = [
  UserCategory.create(name: 'Iniciante'),
  UserCategory.create(name: 'Novato'),
  UserCategory.create(name: 'Amador'),
  UserCategory.create(name: 'Profissional'),
  UserCategory.create(name: 'Expert', reference: 1.0)
]

# reputation
reputations = [
  Score.create(name: 'Quantidade de envio de objetos', code: 'submitted_objects', weight: 4, active: true, score_type: ['User']),
  Score.create(name: 'Avaliação média dos seus objetos', code: 'reviews_score_average', weight: 9, active: true, score_type: ['User']),
  Score.create(name: 'Adições a coleções bem avaliadas', code: 'learning_objects_in_best_collections', weight: 7, active: true, score_type: ['User']),
  Score.create(name: 'Melhor score', code: 'learning_objects_best_score', weight: 3, active: true, score_type: ['User']),
  Score.create(name: 'Score médio', code: 'learning_objects_average_score', weight: 7, active: true, score_type: ['User']),
  Score.create(name: 'Aprovação das avaliações em objetos de terceiros (% de sim)', code: 'review_approval_average', weight: 10, active: true, score_type: ['User']),
    # Score.create(name: 'Denúncias confirmadas', code: 'confirmed_complaints', weight: 0, active: true, score_type: ['User']),
  Score.create(name: 'Quantidade de seguidores', code: 'followers_count', weight: 6, active: true, score_type: ['User']),
  Score.create(name: 'Submissões recentes', code: 'learning_objects_recently_submitted', weight: 4, active: true, score_type: ['User']),
  Score.create(name: 'Score das coleções públicas', code: 'collections_score_average', weight: 3, active: true, score_type: ['User'])
]

values = [
  [   0,     0,    0,    0,    0,    0,    0,    0,    0], # Iniciante
  [   25,  3.0,   10,  500,  250,   70,   50,    5,  400],  # Novato
  [   50,  3.8,   20,  550,  350,   85,  250,   15,  600],  # Amador
  [  100,  4.2,   40,  600,  450,   90, 1000,   25,  750],  # Profissional
  [  250,  4.9,   80,  680,  550,   95, 5000,   35,  800]   # Expert
]

# iterate to make associations
categories.each_with_index do |c, i|
  reputations.each_with_index do |r, j|
    ScoreUserCategory.create(user_category: c, score: r, value: values[i][j])
  end
end

UserCategory.where(reference: 1.0).first.calculate_reference
