
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

namespace :attachment do
  desc 'Change learning object\' default attachment to mp4'
  task video_mp4: :environment do
    LearningObject.where(object_type: ObjectType.find_by(name: 'Vídeo')).find_each do |o|
      a = o.attachments.find_by(mime_type: 'video/mp4')
      next if a.nil?
      o.attachment_id = a.id
      o.save
    end
  end

  desc 'Update LearningObjects default_attachment'
  task :set_default => :environment do
    start = 1
    finish = 999
    batch_size = 1000
    last_id = LearningObject.count > 0 ? LearningObject.with_deleted.last.id : 0
    loop do
      begin
        p "start: #{start}, finish: #{finish}"
        LearningObject.with_deleted.find_each(start: start, finish: finish) do |lo|
          lo.default_attachment
        end
      #rescue PG::ConnectionBad => e
      rescue Exception => e
        #logger.warn 'Database error, going to sleep'
        p 'Database error, going to sleep'
        #logger.error e
        p e
        p e.class
        p e.message
        ActiveRecord::Base.clear_active_connections!
        # Sleeps for a while to wait database's recovery
        sleep(15.seconds)
        # Goes to next iteration to retry
        next
      else
        start += batch_size - 1
        finish += batch_size
        break if start >= last_id
      end
    end
  end

end
