
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

namespace :convert do

  desc "Convert videos to mp4"
  task :video => :environment do
    # Get items from dspace (from offset to offset+limit)
    items = LearningObject.all

    # Terminate loop if there are no more items to import
    break if items.empty?

    items.each do |item|
      item.attachments.each do |attachment|
        if attachment.name =~ /(.flv|.wmv|.mov|.mpg|.avi)$/i
          ConvertVideoWorker.perform_async(item.id)
          p "Convert learning object #{item.id}"
        end
      end
    end
  end

end
