
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

namespace :object_type do
  desc 'Destroy the types that are not defaults'
  task :restart => :environment do
    ObjectType.find_each do |type|
      unless default_types.include? type.name
        SafeObjectTypeDestroyService.execute type
      end
    end
  end

  def default_types
    [
        'Imagem', 'Mapa', 'Software Educacional', 'Experimento prático', 'Animação/simulação', 'Texto',
        'Áudio', 'PDF', 'Website externo', 'Vídeo', 'Outros'
    ]
  end

end