
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

namespace :tag do

  desc "Define topics"
  task :define_topics => :environment do
    standard_topics = ['Artes', 'Biologia', 'Ciências', 'Educação Física', 'Filosofia',
     'Física', 'Geografia', 'História', 'Matemática', 'Língua Portuguesa', 'Química', 'Sociologia']
    desctask(standard_topics, 'topic')
  end

  desc "Define school levels"
  task :define_school_levels => :environment do
    standard_school_levels = ['Educação Básica', 'Ensino Fundamental Final', 'Ensino Fundamental Inicial',
     'Ensino Médio', 'Educação Superior', 'Educação Profissional', 'Educação Infantil']

    desctask(standard_school_levels, 'school_level')
end

private
  def desctask(vector, type)
    vector.map do |name|
     t = ActsAsTaggableOn::Tag.find_by_name(name)
     if t.class == ActsAsTaggableOn::Tag
       t.tag_type = type
       t.save
     end
    end
  end
end
