namespace :user do
  desc 'Assign submitter role to users that had the teacher role'
  task set_submitters: :environment do
    submitter = Role.submitter
    Role.teacher.users.each do |user|
      user.roles << submitter
      user.save!
    end
  end
  desc "Add gamification relations to users created before gamification was implemented"
  task gamify_existing_users: :environment do
    for user in User.all
      user.generate_gamification_relations
    end
  end

end
