
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

module Thumbnail
  module Strategies
    class PdfThumbnailGenerator < ::Thumbnail::GeneratableStrategy

      def generate(media)
        pdf = first_page(media.path)
        return nil if pdf.blank?

        hash = SecureRandom.hex(10)
        output = "/tmp/#{hash}.png"
        pdf.write(output)
        File.open output
      end

      def can_generate?(media)
        super { 'pdf' }
      end

      private

      def first_page(pdf_path)
        first_page_path = pdf_path + "[0]"
        Magick::Image.read(first_page_path).first
      end

    end
  end
end
